Subject: bug#22266: [libparted] jump instruction and boot code is corrupted with random bytes after fat is resized

From: Curtis Gedak <[email-masked]>
Date: Mon, 4 Jan 2016 10:56:03 -0700

Hi Brian,

I agree that in an ideal world the code for resizing file systems would
exist in the file system project.  Unfortunately this does not appear to
be the case for FAT16/FAT32 file systems.

When I last looked there were no other free software or open source
options for resizing FAT16 and FAT32 file systems.  The same goes for
the code in libparted that can shrink HFS and HFS+ file systems.

Unless there is a change in this situation, I am in favour of keeping
the resizing code/library in parted.

Regards,
Curtis Gedak
(Maintainer of GParted)

On 16-01-04 10:45 AM, Brian C. Lane wrote:
> We should drop this resize code completely. I still think it was a
> mistake to revive it as a library. Filesystems should be managed by the
> upstream filesystem code, not parted.